Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes
SecBlockWithHint< T, S, A > Class Template Reference

a SecBlock that preallocates size S statically, and uses the heap when this size is exceeded More...

`#include <secblock.h>`

Inheritance diagram for SecBlockWithHint< T, S, A >:

List of all members.

## Public Types

typedef A::value_type | value_type
typedef A::pointer | iterator
typedef A::const_pointer | const_iterator
typedef A::size_type | size_type

## Public Member Functions

| SecBlockWithHint (size_t size)
| operator const void * () const
| operator void * ()
| operator const T * () const
| operator T * ()
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const
A::pointer | data ()
A::const_pointer | data () const
size_type | size () const
bool | empty () const
byte * | BytePtr ()
const byte * | BytePtr () const
size_type | SizeInBytes () const
void | Assign (const T *t, size_type len)
| set contents and size
void | Assign (const SecBlock< T, A > &t)
| copy contents and size from another SecBlock
SecBlock< T, A > & | operator+= (const SecBlock< T, A > &t)
SecBlock< T, A > | operator+ (const SecBlock< T, A > &t)
bool | operator== (const SecBlock< T, A > &t) const
bool | operator!= (const SecBlock< T, A > &t) const
void | New (size_type newSize)
| change size, without preserving contents
void | CleanNew (size_type newSize)
| change size and set contents to 0
void | Grow (size_type newSize)
| change size only if newSize > current size. contents are preserved
void | CleanGrow (size_type newSize)
| change size only if newSize > current size. contents are preserved and additional area is set to 0
void | resize (size_type newSize)
| change size and preserve contents
void | swap (SecBlock< T, A > &b)
| swap contents and size with another SecBlock

## Public Attributes

A | m_alloc
size_type | m_size
T * | m_ptr

## Detailed Description

### template<class T, unsigned int S, class A = FixedSizeAllocatorWithCleanup<T, S, AllocatorWithCleanup<T> >>
class SecBlockWithHint< T, S, A >

a SecBlock that preallocates size S statically, and uses the heap when this size is exceeded

Definition at line 435 of file secblock.h.

The documentation for this class was generated from the following file:

- secblock.h